/*--------------------------------------------------------------------
   class vector_field

   example 1: ʻҾλξ
     Simple_Window W(10*20,15*30);
     vector_field V(W,10,15,20,30);  ٥ȥλ 10x15 ĳʻҾ֡
	                                 (ʻҤΥ 20x30 Ȥ)
     double **x,**y;
	 array(x,10,15);                 ưŪˤȤä˳ƥ٥ȥ
	 array(y,10,15);                 xʬyʬơdraw ǽ񤫤롣

     V.draw(x[0],y[0]);             

   example 2: Ϳ硣
     Simple_Window W(100,100);      
     vector_field V(W,10);           ĤΥ٥ȥλ(XPoint)Ѱ
	 for(int n=0; n<10; n++)         κɸ (V[n].x,V[n],y) 򥻥å
	  { V[n].x=10*n; V[n].y=50;}
     double x[10],y[10];             켡˳ƥ٥ȥxʬyʬ
                                     ơdraw ǽ񤫤롣
     V.draw(x,y);                    
  
--------------------------------------------------------------------*/
#ifndef VECTOR_FIELD_H_INCLUDE
#define VECTOR_FIELD_H_INCLUDE
	
#include <XRS/window.h>
	
class vector_field{
   window     &W;
   XPoint     **LP,*P;
   int        N;
   void  initialize();
   void  draw_arrow(int,int,double,double);
  public:
   double  arrow_x_mag,arrow_y_mag;
   int     mark_radius;
   GC      arrow_gc,mark_gc;
   vector_field(window &w,int n):W(w),LP(NULL),N(n)
      { P=new XPoint [N]; initialize(); }
   vector_field(window &,int,int,int,int);
   ~vector_field(){ if(P) delete [] P; if(LP) delete [] LP;}
   XPoint& operator [](int n){ return P[n]; }
   XPoint ** lattice(){ return LP;}
   void draw(double *,double *);
};
#endif
